Subject: Butterfly expert sought

From: [email-masked]
Date: Sat, 4 Nov 1995 12:09:24 -0500

Thanks so much for the response.

By dumb luck, I've left Roger's address at a friend's house and unfortunately
I won't be able to put you in touch with him for another week or so.

He is an wonderful person and his personal collection (which he began at age
9) contains over 7,000 butterflies. He's at work on a book on Venezuelan
butterflies at the moment.

I'll get you in touch with him as soon as I can.

Thanks again - I know he's craving contact with folks like yourself.

P.S. David - I'll let you know more about Roger when I write next week - as
far as I know, he's looking for all the pen pals he can, especially since
he's yet to get Internet access. I guess he'll set up his own information
network once he gets in contact with you guys and gals.

Adios,

Todd Mouton
[email-masked]